🔗 REST APIMetadata

List all active symbols

Retrieves all currently active (listed) symbols, with optional filtering.

"price_precision" and "size_precision" are data precisions and are not always the same precisions used for trading eg. for the "BINANCE" exchanges.

You should not assume that the market data will be always within the resolution provided by the "price_precision" and "size_precision". The fact that the precision values can be derived from a posterior implies the fact that this data could be delayed, also it can be changed by the data source without notice and we will immediately deliver data with the new precision while could not update the precision values in this endpoint immediately.

Symbol identifier

Our symbol identifier is created using a pattern that depends on symbol type.

Typesymbol_id pattern
SPOT{exchange_id}_SPOT_{asset_id_base}_{asset_id_quote}
FUTURES{exchange_id}_FTS_{asset_id_base}_{asset_id_quote}_{YYMMDD of future_delivery_time}
OPTION{exchange_id}_OPT_{asset_id_base}_{asset_id_quote}_{YYMMDD of option_expiration_time}_{option_strike_price}_{option_type_is_call as C/P}
PERPETUAL{exchange_id}_PERP_{asset_id_base}_{asset_id_quote}
DEPLOYER_PERPETUAL{exchange_id}_DPERP_{deployer_symbol}_{asset_id_quote}
INDEX{exchange_id}_IDX_{index_id}
CREDIT{exchange_id}_CRE_{asset_id_base}
CONTACT{exchange_id}_COT_{contract_id}
OPTION_COMBO{exchange_id}_OPTCMB_{exchange_symbol_id}
FUTURE_COMBO{exchange_id}_FTSCMB_{exchange_symbol_id}

:::info In the unlikely event when the "symbol_id" for more than one market is the same. We will append the additional term (prefixed with the "_") at the end of the duplicated identifiers to differentiate them. :::info

Symbol types list (enumeration of symbol_type output variable)

TypeNameDescription
SPOTFX SpotAgreement to exchange one asset for another one (e.g. Buy BTC for USD)
FUTURESFutures contractFX Spot derivative contract where traders agree to trade fx spot at predetermined future time
OPTIONOption contractFX Spot derivative contract where traders agree to trade right to require buy or sell of fx spot at agreed price on exercise date
PERPETUALPerpetual contractFX Spot derivative contract where traders agree to trade fx spot continously without predetermined future delivery time
DEPLOYER_PERPETUALDeployer Perpetual contractPerpetual contract for user-deployed markets (e.g. Hyperliquid user-deployed perpetuals)
INDEXIndexStatistical composite that measures changes in the economy or markets.
CREDITCredit/FundingMargin funding contract. Order book displays lending offers and borrow bids. Price represents the daily rate.
CONTRACTContractRepresents other types of financial instruments (e.g. spreads, interest rate swap)
OPTION_COMBOOption ComboMulti-leg option strategy combining two or more option positions (e.g. put spread, protective collar)
FUTURE_COMBOFuture ComboMulti-leg futures calendar spread combining two futures positions (e.g. futures vs perpetual)

Additional output variables for symbol_type = INDEX

VariableDescription
index_idIndex identifier
index_display_nameHuman readable name of the index (optional)
index_display_descriptionDescription of the index (optional)

Additional output variables for symbol_type = FUTURES

VariableDescription
future_delivery_timePredetermined time of futures contract delivery date in ISO 8601
future_contract_unitContact size (eg. 10 BTC if future_contract_unit = 10 and future_contract_unit_asset = BTC)
future_contract_unit_assetIdentifier of the asset used to denominate the contract unit

Additional output variables for symbol_type = PERPETUAL

VariableDescription
future_contract_unitContact size (eg. 10 BTC if future_contract_unit = 10 and future_contract_unit_asset = BTC)
future_contract_unit_assetIdentifier of the asset used to denominate the contract unit

Additional output variables for symbol_type = DEPLOYER_PERPETUAL

VariableDescription
future_contract_unitContact size (eg. 10 BTC if future_contract_unit = 10 and future_contract_unit_asset = BTC)
future_contract_unit_assetIdentifier of the asset used to denominate the contract unit

Additional output variables for symbol_type = OPTION

VariableDescription
option_type_is_callBoolean value representing option type. true for Call options, false for Put options
option_strike_pricePrice at which option contract can be exercised
option_contract_unitBase asset amount of underlying spot which single option represents
option_exercise_styleOption exercise style. Can be EUROPEAN or AMERICAN
option_expiration_timeOption contract expiration time in ISO 8601

Additional output variables for symbol_type = CONTRACT

VariableDescription
contract_delivery_timePredetermined time of contract delivery date in ISO 8601
contract_unitContact size (eg. 10 BTC if contract_unit = 10 and contract_unit_asset = BTC)
contract_unit_assetIdentifier of the asset used to denominate the contract unit
contract_idIdentifier of contract by the exchange
GET
/v1/symbols/{exchange_id}/active
Authorization<token>

API Key is required to access the endpoints

In: header

Path Parameters

exchange_id*string

The ID of the exchange.

Query Parameters

filter_symbol_id?string

Comma or semicolon delimited parts of symbol identifier used to filter response. (optional, eg. BITSTAMP_ or BINANCE_SPOT_)

filter_asset_id?string

The filter for asset ID.

Response Body

curl -X GET "https://example.com/v1/symbols/string/active"
[  {    "symbol_id": "KRAKENFTS_PERP_BTC_USD",    "exchange_id": "KRAKENFTS",    "symbol_type": "PERPETUAL",    "asset_id_base": "BTC",    "asset_id_quote": "USD",    "asset_id_unit": "USD",    "future_contract_unit": 1,    "future_contract_unit_asset": "USD",    "data_start": "2019-10-30",    "data_end": "2021-03-03",    "data_quote_start": "2019-10-30T16:53:10.3262317Z",    "data_quote_end": "2021-03-03T13:51:45.6970000Z",    "data_orderbook_start": "2019-10-30T16:53:10.3262317Z",    "data_orderbook_end": "2020-08-05T14:37:32.0080000Z",    "data_trade_start": "2019-10-30T16:38:52.1620000Z",    "data_trade_end": "2021-03-03T13:46:25.7810000Z",    "volume_1hrs": 22897091,    "volume_1hrs_usd": 22897091,    "volume_1day": 459390289,    "volume_1day_usd": 459390289,    "volume_1mth": 12875674995,    "volume_1mth_usd": 12875674995,    "price": 51266,    "symbol_id_exchange": "pi_xbtusd",    "asset_id_base_exchange": "XBT",    "asset_id_quote_exchange": "USD",    "price_precision": 0.1,    "size_precision": 1,    "symbol_id_int": 0  },  {    "symbol_id": "POLONIEX_SPOT_LTC_USDC",    "exchange_id": "POLONIEX",    "symbol_type": "SPOT",    "asset_id_base": "LTC",    "asset_id_quote": "USDC",    "data_start": "2018-11-20",    "data_end": "2021-03-01",    "data_quote_start": "2018-11-20T15:24:58.4128803Z",    "data_quote_end": "2021-03-01T16:07:09.3475456Z",    "data_orderbook_start": "2018-11-20T15:24:58.4128803Z",    "data_orderbook_end": "2020-08-05T14:37:20.2695780Z",    "data_trade_start": "2018-11-20T15:25:38.0000000Z",    "data_trade_end": "2021-03-01T16:03:18.0000000Z",    "volume_1hrs": 51.68645899,    "volume_1hrs_usd": 9036.44,    "volume_1day": 465.568863,    "volume_1day_usd": 81396.28,    "volume_1mth": 22528.27638495,    "volume_1mth_usd": 3938661,    "symbol_id_exchange": "USDC_LTC",    "asset_id_base_exchange": "LTC",    "asset_id_quote_exchange": "USDC",    "price_precision": 1e-8,    "size_precision": 1e-8,    "symbol_id_int": 0  }]